> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/fr/knowledge-base/how-to-articles/add-x-forwarded-for-column-in-iis.md).

# Ajouter la colonne X-Forwarded for dans IIS

Ajouter une colonne X-Forwarded-For aux journaux IIS sur Devolutions Server en configurant un champ de journalisation personnalisé ou en exécutant une ligne de commande APPCMD.

Suivez les étapes ci-dessous pour ajouter la colonne X-Forwarded-For dans les journaux IIS 8.5 :

1. Ouvrez le gestionnaire IIS.
2. Au niveau du serveur, du site ou de l'application, double-cliquez sur ***Journalisation***.
3. Cliquez sur ***Sélectionner les champs***.
4. Dans la fenêtre ***Champs de journalisation W3C***, cliquez sur ***Ajouter un champ***.
5. Dans la fenêtre ***Ajouter un champ personnalisé***, remplissez les champs suivants :
   * ***Nom du champ*** : X-Forwarded-For
   * ***Type de source*** : En-tête de requête
   * ***Source*** : X-Forwarded-For
6. Cliquez sur ***OK*** dans les deux fenêtres ouvertes.
7. Cliquez sur ***Appliquer*** dans le volet des actions.

Attendez qu'un nouveau fichier journal soit créé dans le dossier des journaux. Les modifications de colonnes seront effectives lorsqu'un nouveau fichier journal sera créé.

### Ligne de commande

```
%systemroot%\system32\inetsrv\APPCMD.EXE set config -section:system.applicationHost/sites /+"[name='Default Web Site'].logFile.customFields.[logFieldName='X-Forwarded-For',sourceName='X-Forwarded-For',sourceType='RequestHeader']" /commit:apphost
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/server/fr/knowledge-base/how-to-articles/add-x-forwarded-for-column-in-iis.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
